mod activity_time_cell;
pub mod map_storage;
pub mod singleton_storage;
pub mod vec_storage;
pub mod visitor;
pub mod visitor_data;
pub mod visitor_manager;

#[cfg(test)]
pub mod storage_test_utils;

pub(crate) trait WritingMode {}

#[derive(Debug)]
#[cfg_attr(test, derive(PartialEq))]
pub(crate) struct NormalWritingMode;
impl WritingMode for NormalWritingMode {}

#[derive(Debug)]
#[cfg_attr(test, derive(PartialEq))]
pub(crate) struct OverwritingWritingMode;
impl WritingMode for OverwritingWritingMode {}

#[derive(Debug)]
#[cfg_attr(test, derive(PartialEq))]
pub(crate) struct PageViewVisitWritingMode;
impl WritingMode for PageViewVisitWritingMode {}
